ViennaCL - The Vienna Computing Library: tests/src/scheduler_matrix_matrix.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
scheduler_matrix_matrix.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/matrix_proxy.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/tools/random.hpp"`
`#include "viennacl/scheduler/execute.hpp"`
`#include "viennacl/scheduler/io.hpp"`

Go to the source code of this file.

## Functions
template<typename ScalarType >
ScalarType | diff (ScalarType &s1, viennacl::scalar< ScalarType > &s2)
template<typename ScalarType , typename VCLVectorType >
ScalarType | diff (std::vector< ScalarType > const &v1, VCLVectorType const &v2)
template<typename ScalarType , typename VCLMatrixType >
ScalarType | diff (std::vector< std::vector< ScalarType > > const &mat1, VCLMatrixType const &mat2)
template<typename NumericT , typename Epsilon , typename ReferenceMatrixTypeA , typename ReferenceMatrixTypeB , typename ReferenceMatrixTypeC , typename MatrixTypeA , typename MatrixTypeB , typename MatrixTypeC >
int | test_prod (Epsilon const &epsilon, ReferenceMatrixTypeA const &A, ReferenceMatrixTypeA const &A_trans, ReferenceMatrixTypeB const &B, ReferenceMatrixTypeB const &B_trans, ReferenceMatrixTypeC &C, MatrixTypeA const &vcl_A, MatrixTypeA const &vcl_A_trans, MatrixTypeB const &vcl_B, MatrixTypeB const &vcl_B_trans, MatrixTypeC &vcl_C)
template<typename NumericT , typename F_A , typename F_B , typename F_C , typename Epsilon >
int | test_prod (Epsilon const &epsilon)
template<typename NumericT , typename Epsilon >
int | test (Epsilon const &epsilon)
int | main ()

## Detailed Description

Tests the scheduler for dense matrix-matrix-operations.

Test:
  Tests the scheduler for dense matrix-matrix-operations.

Definition in file scheduler_matrix_matrix.cpp.

## Function Documentation

template<typename ScalarType >

ScalarType diff | ( | ScalarType & | s1,
|  | viennacl::scalar< ScalarType > & | s2
| ) |  |

Definition at line 49 of file scheduler_matrix_matrix.cpp.

template<typename ScalarType , typename VCLVectorType >

ScalarType diff | ( | std::vector< ScalarType > const & | v1,
|  | VCLVectorType const & | v2
| ) |  |

Definition at line 58 of file scheduler_matrix_matrix.cpp.

template<typename ScalarType , typename VCLMatrixType >

ScalarType diff | ( | std::vector< std::vector< ScalarType > > const & | mat1,
|  | VCLMatrixType const & | mat2
| ) |  |

Definition at line 79 of file scheduler_matrix_matrix.cpp.

int main | ( |  | ) |

Definition at line 985 of file scheduler_matrix_matrix.cpp.

template<typename NumericT , typename Epsilon >

int test | ( | Epsilon const & | epsilon | ) |

Definition at line 917 of file scheduler_matrix_matrix.cpp.

template<typename NumericT , typename Epsilon , typename ReferenceMatrixTypeA , typename ReferenceMatrixTypeB , typename ReferenceMatrixTypeC , typename MatrixTypeA , typename MatrixTypeB , typename MatrixTypeC >

int test_prod | ( | Epsilon const & | epsilon,
|  | ReferenceMatrixTypeA const & | A,
|  | ReferenceMatrixTypeA const & | A_trans,
|  | ReferenceMatrixTypeB const & | B,
|  | ReferenceMatrixTypeB const & | B_trans,
|  | ReferenceMatrixTypeC & | C,
|  | MatrixTypeA const & | vcl_A,
|  | MatrixTypeA const & | vcl_A_trans,
|  | MatrixTypeB const & | vcl_B,
|  | MatrixTypeB const & | vcl_B_trans,
|  | MatrixTypeC & | vcl_C
| ) |  |

Definition at line 112 of file scheduler_matrix_matrix.cpp.

template<typename NumericT , typename F_A , typename F_B , typename F_C , typename Epsilon >

int test_prod | ( | Epsilon const & | epsilon | ) |

Definition at line 432 of file scheduler_matrix_matrix.cpp.